<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	
	<parent>
		<groupId>org.jboss.bom</groupId>
		<artifactId>jboss-eap-javaee7-with-tools</artifactId>
		<version>7.0.7.GA</version>
	</parent>
	
	<groupId>gob.sat.site</groupId>
	<artifactId>ws-accuse</artifactId>
	<packaging>war</packaging>
	<version>1.0-SNAPSHOT</version>
	<name>ws-consultabitacora Maven Webapp</name>
	<url>http://maven.apache.org</url>
	
	<repositories>
        <repository>
            <id>jboss-enterprise-maven-repository</id>
            <url>https://maven.repository.redhat.com/ga/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>jboss-enterprise-maven-repository</id>
            <url>https://maven.repository.redhat.com/ga/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>
	</pluginRepositories>
	
	
	
	<dependencies>

		<!-- https://mvnrepository.com/artifact/javax.ws.rs/jsr311-api -->
		<dependency>

			<groupId>org.jboss.spec.javax.ws.rs</groupId>

			<artifactId>jboss-jaxrs-api_2.0_spec</artifactId>

			<scope>provided</scope>

		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>3.8.1</version>
			<scope>test</scope>
		</dependency>
		<dependency>
            <groupId>javax.enterprise</groupId>
            <artifactId>cdi-api</artifactId>
            <scope>provided</scope>
		</dependency>
		<!-- Persistence - Hibernate -->
		<dependency>
			<groupId>org.hibernate.javax.persistence</groupId>
			<artifactId>hibernate-jpa-2.1-api</artifactId>
			<scope>provided</scope>
		</dependency>
		
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.16</version>
			<scope>provided</scope>
		</dependency>
		
		<dependency>
   			<groupId>com.google.code.gson</groupId>
    		<artifactId>gson</artifactId>
   			<version>2.8.5</version>
		</dependency>
		
		<dependency>
    		<groupId>net.sf.jasperreports</groupId>
   			 <artifactId>jasperreports</artifactId>
   			 <version>6.7.0</version>
		</dependency>
		
		
		
	</dependencies>
	
	
	
	<build>
		<finalName>ws-accuse</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.6.2</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<version>2.3</version>
				<configuration>
					<failOnMissingWebXml>false</failOnMissingWebXml>
					<warName>ws-accuse</warName>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
